Bug 2037658 - Please branch and build perl-MouseX-Foreign for EPEL 9
Summary: Please branch and build perl-MouseX-Foreign for EPEL 9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-MouseX-Foreign
Version: epel9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2031806
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-06 09:18 UTC by Paul Howarth
Modified: 2022-01-26 17:59 UTC (History)
3 users (show)

Fixed In Version: perl-MouseX-Foreign-1.000-18.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-26 17:59:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Paul Howarth 2022-01-06 09:18:01 UTC
Could you please branch and build perl-MouseX-Foreign for EPEL 9 ?

If you like you could add me (FAS: pghmcfc) as a committer to the package and I'll do it myself.

Comment 1 Paul Howarth 2022-01-06 11:11:47 UTC
I need to go through a bootstrap cycle for perl-Mouse, and this package is part of it.

I've requested the epel9 branch of perl-Mouse (https://pagure.io/releng/fedora-scm-requests/issue/40527) and will do the bootstrap build when that's ready.

I'll then need the following to be built using buildroot overrides:

 * perl-Any-Moose (bootstrap version)
 * perl-MouseX-Types
 * perl-MooseX-Types
 * perl-MooseX-Role-WithOverloading
 * perl-MooseX-AttributeHelpers
 * perl-Any-Moose (again, full version)
 * perl-Pod-Coverage-Moose
 * perl-MouseX-Foreign

I've raised tickets for all of these (branch requests for packages I have commit access to, bugzilla tickets for the others). Once they're all done I'll rebuild perl-Mouse and submit an update for it.

Comment 2 Paul Howarth 2022-01-11 12:05:00 UTC
(In reply to Paul Howarth from comment #1)
> I need to go through a bootstrap cycle for perl-Mouse, and this package is
> part of it.
> 
> I've requested the epel9 branch of perl-Mouse
> (https://pagure.io/releng/fedora-scm-requests/issue/40527) and will do the
> bootstrap build when that's ready.
> 
> I'll then need the following to be built using buildroot overrides:
> 
>  * perl-Any-Moose (bootstrap version)
>  * perl-MouseX-Types
>  * perl-MooseX-Types
>  * perl-MooseX-Role-WithOverloading
>  * perl-MooseX-AttributeHelpers
>  * perl-Any-Moose (again, full version)
>  * perl-Pod-Coverage-Moose
>  * perl-MouseX-Foreign

Only perl-Pod-Coverage-Moose (Bug 2037655) and perl-MouseX-Foreign (this bug) are remaining to be done now, after which I can rebuild perl-Mouse and issue the update in bodhi.

Comment 4 Fedora Update System 2022-01-18 19:13:18 UTC
FEDORA-EPEL-2022-bd6a53f6af has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-bd6a53f6af

Comment 5 Fedora Update System 2022-01-19 02:55:53 UTC
FEDORA-EPEL-2022-bd6a53f6af has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-bd6a53f6af

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-01-26 17:59:09 UTC
FEDORA-EPEL-2022-bd6a53f6af has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.